--- title: "deleteCloudPostgresqlUserList" slug: "database-vpostgresql-deletecloudpostgresqluserlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vpostgresql-deletecloudpostgresqluserlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteCloudPostgresqlUserList Available in VPC Delete a DB user of a Cloud DB for PostgreSQL instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/deleteCloudPostgresqlUserList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for PostgreSQL instance to delete DB users from. - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudPostgresqlInstanceNo` | String | Required | Cloud DB for PostgreSQL instance number - See [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist). | | `cloudPostgresqlUserList.N.name` | List[String] | Required | List of DB user account IDs to delete - Enter 4-16 characters, including lowercase English letters, numbers, and special character "_". - The string must begin with an English letter. - Up to 10 user operations can be done at once. - Example: `cloudPostgresqlUserList.1.name=test_read& cloudPostgresqlUserList.2.name=test_ddl` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/deleteCloudPostgresqlUserList ?regionCode=KR &cloudPostgresqlInstanceNo=****925 &cloudPostgresqlUserList.1.name=testuser' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "deleteCloudPostgresqlUserListResponse": { "requestId": "2b42077d-****-****-****-99b56b5b001a", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 2b42077d-****-****-****-99b56b5b001a 0 success ```